Uploaded image for project: 'Openfire'
  1. Openfire
  2. OF-1587

Updates needed for Mac OSX DMG Openfire Artifact

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Blocker
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 4.3.0
    • Component/s: Installer
    • Labels:
      None

      Description

      Openfire 4.3 ditched the usage of Ant, so alternative build procedure was needed for Mac OSX.

      I created a build script that should replicate what ant was doing. `build/osx/build_dmg.sh`.

      Sadly, our Bamboo OSX build host has become too old to function anymore. Most/All SSL connections are failing and can't upgrade it further. I have replaced it with a new High Sierra build host, but the new version of Xcode is too new for our current code.

      The build procedure is currently from the base of the Openfire git folder

      $ mvn clean compile
      $ bash build/osx/build_dmg.sh

      The roadblock I hit was that `packagemaker` is no longer in xcode. There were also other errors with using the ancient SDKs. Hopefully we can make some magic happen here!

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                benjamin Benjamin Sherman
                Reporter:
                akrherz Daryl Herzmann
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: